Skip to content

List Students

GET
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/students/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/students/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

Course_Id
required
integer

Course ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Successfully fetched the list of students

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
project_id
integer
role
string
member
object
id
integer
name
string
email
string format: email
username
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
group_tags
Array<string>
services
Array<string>
resource_count
integer
tir_role
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 10400,
"project_id": 8007,
"role": "AI_Labs_Admin",
"member": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T06:21:08.646183Z",
"updated_at": "2025-10-28T06:21:08.646229Z",
"resource_count": 1,
"tir_role": "Owner"
}
],
"errors": {},
"message": "Success"
}